"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CopyButton = void 0;

var _preact = require("preact");

var _promiseButton = require("./promise-button");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const CopyButton = (_ref) => {
  let {
    text,
    buttonText = 'Copy to clipboard'
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["text", "buttonText"]);

  return !navigator.clipboard || !navigator.clipboard.writeText ? null : (0, _preact.h)(_promiseButton.PromiseButton, _extends({
    buttonText: buttonText,
    errorText: "Failed to copy, try again",
    successText: "Copied!",
    loadingText: "Copying...",
    onClick: () => navigator.clipboard.writeText(text),
    resetTimeout: 1500
  }, rest));
};

exports.CopyButton = CopyButton;