"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSineWavePath = void 0;

const getSineWavePath = ({
  x,
  y,
  len,
  amp,
  n
}) => {
  const top = y - amp;

  const c = i => x + len * i;

  let path = "M".concat(x, " ").concat(y, " Q").concat(c(0.5), " ").concat(top, ", ").concat(c(1), " ").concat(y);
  let count = 1;

  while (++count < n) {
    path += "T ".concat(c(count), " ").concat(y);
  }

  return path;
};

exports.getSineWavePath = getSineWavePath;